Skip to main content
GET
/
policies
/
{policyId}
/
documents
List policy documents.
curl --request GET \
  --url https://api.example.com/policies/{policyId}/documents
import requests

url = "https://api.example.com/policies/{policyId}/documents"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/policies/{policyId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "metadata": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "id": "<string>",
      "name": "<string>",
      "path": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "signedUrl": "<string>",
      "isSigned": true
    }
  ],
  "pageInfo": {
    "first": true,
    "last": true
  },
  "totalCount": 123,
  "currentPage": 123,
  "totalPages": 123
}
{
"title": "FORBIDDEN"
}
{
"title": "POLICY_NOT_FOUND"
}

Path Parameters

policyId
string
required

the policy id

Query Parameters

whenAt
string

Optional: the whenAt datetime

simulatedAt
string

Optional: the simulatedAt datetime

branchId
string

Optional: the branchId

archived
boolean

Are documents archives

onlyOnBranch
boolean

Are documents only on branch

includeDeleted
boolean

Include deleted documents

Response

data
object[]
required

the list of items in the page

pageInfo
object
required

the page info

totalCount
number
required

the total number of items

currentPage
number
required

the current page

totalPages
number
required

the total number of pages